package com.dsk.jsk.controller;


import com.dsk.common.core.domain.R;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.jsk.domain.*;
import com.dsk.jsk.service.EnterpriseBussinessService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
*@Description: 央企经营管理系统企业业务相关
*@Author: zhangyi
*@date: 2023/5/17 9:03
*/
@Slf4j
@RestController
@RequestMapping(value = "/enterpriseBussiness")
public class EnterpriseBussinessController {
    @Autowired
    EnterpriseBussinessService enterpriseBussinessService;



    @RequestMapping(value = "/customSelect", method = RequestMethod.GET)
    public R customSelect() throws Exception {
        return enterpriseBussinessService.customSelect();
    }

    @RequestMapping(value = "/clientPage", method = RequestMethod.POST)
    public TableDataInfo clientPage(@RequestBody @Valid EnterpriseBussinessClientPageBody paramMap) throws Exception {
        return enterpriseBussinessService.clientPage(paramMap);
    }

    @RequestMapping(value = "/clientProjectPage", method = RequestMethod.POST)
    public TableDataInfo clientProjectPage(@RequestBody @Valid EnterpriseBussinessClientProjectPageBody paramMap) throws Exception {
        return enterpriseBussinessService.clientProjectPage(paramMap);
    }

    @RequestMapping(value = "/tenderPage",method = RequestMethod.POST)
    public TableDataInfo tenderPage(@RequestBody @Valid EnterpriseBussinessTenderPageBody paramMap) throws Exception {
        return enterpriseBussinessService.tenderPage(paramMap);
    }

    @RequestMapping(value = "/tenderDetail",method = RequestMethod.POST)
    public R tenderDetail(@RequestBody @Valid EnterpriseBussinessTenderDetailBody paramMap) throws Exception {
        return enterpriseBussinessService.tenderDetail(paramMap);
    }

    @RequestMapping(value = "/supplierPage",method = RequestMethod.POST)
    public TableDataInfo supplierPage(@RequestBody @Valid EnterpriseBussinessSupplierPageBody paramMap) throws Exception {
        return enterpriseBussinessService.supplierPage(paramMap);
    }

    @RequestMapping(value = "/supplierProjectPage",method = RequestMethod.POST)
    public TableDataInfo supplierProjectPage(@RequestBody @Valid EnterpriseBussinessSupplierProjectPageBody paramMap) throws Exception {
        return enterpriseBussinessService.supplierProjectPage(paramMap);
    }

    @RequestMapping(value = "/projectDetail", method = RequestMethod.POST)
    public R projectDetail(@RequestBody @Valid EnterpriseBussinessProjectDetailBody paramMap) throws Exception {
        return enterpriseBussinessService.projectDetail(paramMap);
    }

    @RequestMapping(value = "/oftenAgencyPage",method = RequestMethod.POST)
    public TableDataInfo oftenAgencyPage(@RequestBody @Valid EnterpriseBussinessOftenAgencyPageBody paramMap) throws Exception {
        return enterpriseBussinessService.oftenAgencyPage(paramMap);
    }

    @RequestMapping(value = "/bidCooperatePage", method = RequestMethod.POST)
    public TableDataInfo bidCooperatePage(@RequestBody @Valid EnterpriseBussinessBidCooperatePageBody paramMap) throws Exception {
        return enterpriseBussinessService.bidCooperatePage(paramMap);
    }

    @RequestMapping(value = "/historySendPage", method = RequestMethod.POST)
    public TableDataInfo historySendPage(@RequestBody @Valid EnterpriseBussinessHistorySendPageBody paramMap) throws Exception {
        return enterpriseBussinessService.historySendPage(paramMap);
    }

    @RequestMapping(value = "/historySendProvince", method = RequestMethod.POST)
    public R historySendProvince(@RequestBody @Valid EnterpriseBussinessHistorySendProvinceBody paramMap) throws Exception {
        return enterpriseBussinessService.historySendProvince(paramMap);
    }

    @RequestMapping(value = "/bidWinMergeDetail", method = RequestMethod.POST)
    public R bidWinMergeDetail(@RequestBody EnterpriseBusinessBidWinMergeDetailBody paramMap) throws Exception {
        return enterpriseBussinessService.bidWinMergeDetail(paramMap);
    }

    @RequestMapping(value = "/skyProjectDetail", method = RequestMethod.POST)
    public R skyProjectDetail(@RequestBody EnterpriseBusinessSkyProjectDetailBody paramMap) throws Exception {
        return enterpriseBussinessService.skyProjectDetail(paramMap);
    }

    @RequestMapping(value = "/awardDetail", method = RequestMethod.POST)
    public R awardDetail(@RequestBody EnterpriseBusinessAwardDetailBody paramMap) throws Exception {
        return enterpriseBussinessService.awardDetail(paramMap);
    }

    @RequestMapping(value = "/select", method = RequestMethod.POST)
    public R select(@RequestBody EnterpriseBusinessAwardDetailBody paramMap) throws Exception {
        return enterpriseBussinessService.select(paramMap);
    }

}
